com.jogamp.nativewindow.awt

## Class AWTPrintLifecycle.Context

- java.lang.Object
- - com.jogamp.nativewindow.awt.AWTPrintLifecycle.Context

- Enclosing interface:
    AWTPrintLifecycle

      public static class AWTPrintLifecycle.Context
      extends Object

  Convenient `AWTPrintLifecycle` context simplifying calling `setupPrint(..)` and `AWTPrintLifecycle.releasePrint()` on all `AWTPrintLifecycle` elements of a `Container`.

  See Usage.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()`
    `void` | `releasePrint()` See Usage.
    `static AWTPrintLifecycle.Context` | `setupPrint(Container c, double scaleMatX, double scaleMatY, int numSamples, int tileWidth, int tileHeight)` See Usage.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setupPrint

          public static AWTPrintLifecycle.Context setupPrint(Container c,
                                             double scaleMatX,
                                             double scaleMatY,
                                             int numSamples,
                                             int tileWidth,
                                             int tileHeight)

      See Usage.

      Parameters:
        `c` - container to be traversed through to perform `setupPrint(..)` on all `AWTPrintLifecycle` elements.
        `scaleMatX` - `Graphics2D` `scaling factor`, i.e. rendering 1/scaleMatX * width pixels
        `scaleMatY` - `Graphics2D` `scaling factor`, i.e. rendering 1/scaleMatY * height pixels
        `numSamples` - multisampling value: < 0 turns off, == 0 leaves as-is, > 0 enables using given num samples
        `tileWidth` - custom tile width for `tile renderer`, pass -1 for default.
        `tileHeight` - custom tile height for `tile renderer`, pass -1 for default.
      Returns:
        the context

    - #### releasePrint

          public void releasePrint()

      See Usage.

    - #### getCount

          public int getCount()

      Returns:
        count of performed actions of last `setupPrint(..)` or `releasePrint()`.

Copyright 2010 JogAmp Community.